<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Referto di Radiologia (2.16.840.1.113883.3.1937.777.63.4.34 2024-03-26T00:00:00)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario 2.16.840.1.113883.3.1937.777.63.4.34 -->

   <!-- Referto_di_Specialistica_Ambulatoriale_RSA -->
   <pattern>
      <title>Referto_di_Specialistica_Ambulatoriale_RSA</title>
      <rule fpi="RUL-EXPEL" context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.7.1'][@extension = '1.1']]"
                 see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.487-2024-03-06T110845.html">(Referto_di_Specialistica_Ambulatoriale_RSA): Instance is expected to have the following element: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.7.1'][@extension = '1.1']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.487-2024-03-06T110845.sch"/>
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.487-2024-03-06T110845-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.487-2024-03-06T110845"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.514-2024-03-14T093755"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.515-2024-03-14T094907"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.526-2024-03-14T172114"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552"/>
   </phase>
   <phase id="Referto_di_Specialistica_Ambulatoriale_RSA">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.487-2024-03-06T110845"/>
   </phase>
   <phase id="Referto_di_Specialistica_Ambulatoriale_RSA-closed">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.487-2024-03-06T110845-closed"/>
   </phase>
   <phase id="Quesito_Diagnostico">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203"/>
   </phase>
   <phase id="AFP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049"/>
   </phase>
   <phase id="Allergie">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.514-2024-03-14T093755"/>
   </phase>
   <phase id="allergieRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.515-2024-03-14T094907"/>
   </phase>
   <phase id="Confronto_Con_Precedenti_Esami_Eseguiti-20240314T125631">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631"/>
   </phase>
   <phase id="Confronto_Con_Precedenti_Esami_Eseguiti-20240314T162726">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726"/>
   </phase>
   <phase id="Referto">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310"/>
   </phase>
   <phase id="Conclusioni-20240314T172114">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.526-2024-03-14T172114"/>
   </phase>
   <phase id="Conclusioni-20240314T174519">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519"/>
   </phase>
   <phase id="Confronto_Con_Precedenti_Esami_Eseguiti-20240314T175022">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022"/>
   </phase>
   <phase id="Suggerimenti_Per_Il_Medico_Prescrittore">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- Quesito_Diagnostico -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.sch"/>
   <!-- AFP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.sch"/>
   <!-- Allergie -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.514-2024-03-14T093755.sch"/>
   <!-- allergieRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.515-2024-03-14T094907.sch"/>
   <!-- Confronto_Con_Precedenti_Esami_Eseguiti -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.sch"/>
   <!-- Confronto_Con_Precedenti_Esami_Eseguiti -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.sch"/>
   <!-- Referto -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.sch"/>
   <!-- Conclusioni -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.526-2024-03-14T172114.sch"/>
   <!-- Conclusioni -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.sch"/>
   <!-- Confronto_Con_Precedenti_Esami_Eseguiti -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.sch"/>
   <!-- Suggerimenti_Per_Il_Medico_Prescrittore -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.sch"/>

</schema>
