<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.504
Name: Quesito Diagnostico (RAD)
Description: Reason for visit Narrative (LOINC: 29299-5 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203">
   <title>Quesito Diagnostico (RAD)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.504
Context: *[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Quesito_Diagnostico)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.504
Context: *[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Quesito_Diagnostico)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e2157-false-d49574e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@ID) = ('Quesito_Diagnostico')">(Quesito_Diagnostico): The value for ID SHALL be 'Quesito_Diagnostico'. Found: "<value-of select="@ID"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Quesito_Diagnostico): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Quesito_Diagnostico): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Quesito_Diagnostico): element hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Quesito_Diagnostico): element hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:title) &lt;= 1">(Quesito_Diagnostico): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:text) &gt;= 1">(Quesito_Diagnostico): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:text) &lt;= 1">(Quesito_Diagnostico): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:entry[hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]) &lt;= 1">(Quesito_Diagnostico): element hl7:entry[hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.504
Context: *[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Quesito_Diagnostico)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2163-false-d49625e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@code) = ('18785-6')">(Quesito_Diagnostico): The value for code SHALL be '18785-6'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Quesito_Diagnostico): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Quesito_Diagnostico): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Quesito_Diagnostico): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@codeSystemVersion) or string-length(@codeSystemVersion)&gt;0">(Quesito_Diagnostico): Attribute @codeSystemVersion SHALL be of data type 'st'  - '<value-of select="@codeSystemVersion"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Quesito_Diagnostico): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.504
Context: *[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title
Item: (Quesito_Diagnostico)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.504
Context: *[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (Quesito_Diagnostico)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.504
Context: *[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Quesito_Diagnostico)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]"
         id="d42e2182-false-d49670e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(Quesito_Diagnostico): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Quesito_Diagnostico): Attribute @contextConductionInd SHALL be of data type 'bl'  - '<value-of select="@contextConductionInd"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]) &gt;= 1">(Quesito_Diagnostico): element hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]) &lt;= 1">(Quesito_Diagnostico): element hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.504
Context: *[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Quesito_Diagnostico)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e2187-false-d49694e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(Quesito_Diagnostico): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@moodCode) = ('EVN')">(Quesito_Diagnostico): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Quesito_Diagnostico): element hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Quesito_Diagnostico): element hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:value[@codeSystem = '2.16.840.1.113883.6.103']) &gt;= 1">(Quesito_Diagnostico): element hl7:value[@codeSystem = '2.16.840.1.113883.6.103'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:value[@codeSystem = '2.16.840.1.113883.6.103']) &lt;= 1">(Quesito_Diagnostico): element hl7:value[@codeSystem = '2.16.840.1.113883.6.103'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.504
Context: *[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Quesito_Diagnostico)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2196-false-d49729e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@code) = ('29308-4')">(Quesito_Diagnostico): The value for code SHALL be '29308-4'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Quesito_Diagnostico): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Quesito_Diagnostico): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Quesito_Diagnostico): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@displayName) = ('Diagnosi') or not(@displayName)">(Quesito_Diagnostico): The value for displayName SHALL be 'Diagnosi'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Quesito_Diagnostico): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.504
Context: *[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value[@codeSystem = '2.16.840.1.113883.6.103']
Item: (Quesito_Diagnostico)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value[@codeSystem = '2.16.840.1.113883.6.103']"
         id="d42e2206-false-d49758e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(Quesito_Diagnostico): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="@code">(Quesito_Diagnostico): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Quesito_Diagnostico): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.103')">(Quesito_Diagnostico): The value for codeSystem SHALL be '2.16.840.1.113883.6.103'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="string(@codeSystemName) = ('ICD9CM') or not(@codeSystemName)">(Quesito_Diagnostico): The value for codeSystemName SHALL be 'ICD9CM'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Quesito_Diagnostico): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Quesito_Diagnostico): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="count(hl7:translation) &lt;= 1">(Quesito_Diagnostico): element hl7:translation appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.504
Context: *[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value[@codeSystem = '2.16.840.1.113883.6.103']/hl7:translation
Item: (Quesito_Diagnostico)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18785-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value[@codeSystem = '2.16.840.1.113883.6.103']/hl7:translation"
         id="d42e2223-false-d49795e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="@code">(Quesito_Diagnostico): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Quesito_Diagnostico): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="@codeSystem">(Quesito_Diagnostico): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(Quesito_Diagnostico): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Quesito_Diagnostico): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.504-2024-03-11T173203.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Quesito_Diagnostico): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
</pattern>
