<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.506
Name: Dettaglio Anamnesi Fisiologica-Patologica (Observation)(RAD)
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049">
   <title>Dettaglio Anamnesi Fisiologica-Patologica (Observation)(RAD)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.506
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (AFP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]"
         id="d42e2286-false-d49834e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]) &lt;= 1">(AFP): element hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.506
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (AFP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e2300-false-d49859e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="string(@classCode) = ('OBS')">(AFP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="string(@moodCode) = ('EVN')">(AFP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(AFP): element hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(AFP): element hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:text) &lt;= 1">(AFP): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:statusCode[@code = 'Completed']) &gt;= 1">(AFP): element hl7:statusCode[@code = 'Completed'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:statusCode[@code = 'Completed']) &lt;= 1">(AFP): element hl7:statusCode[@code = 'Completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:effectiveTime[hl7:low]) &gt;= 1">(AFP): element hl7:effectiveTime[hl7:low] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:effectiveTime[hl7:low]) &lt;= 1">(AFP): element hl7:effectiveTime[hl7:low] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:value) &gt;= 1">(AFP): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:value) &lt;= 1">(AFP): element hl7:value appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]) &lt;= 1">(AFP): element hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]) &lt;= 1">(AFP): element hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.506
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (AFP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2310-false-d49936e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="string(@code) = ('75326-9')">(AFP): The value for code SHALL be '75326-9'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(AFP): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(AFP): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(AFP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="string(@displayName) = ('Problem') or not(@displayName)">(AFP): The value for displayName SHALL be 'Problem'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(AFP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.506
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (AFP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.506
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:statusCode[@code = 'Completed']
Item: (AFP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:statusCode[@code = 'Completed']"
         id="d42e2322-false-d49973e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="string(@code) = ('Completed')">(AFP): The value for code SHALL be 'Completed'. Found: "<value-of select="@code"/>"</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(AFP): The value for code SHALL be selected from value set '2.16.840.1.113883.1.11.15933' ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.506
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:effectiveTime[hl7:low]
Item: (AFP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:effectiveTime[hl7:low]"
         id="d42e2327-false-d49996e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:low) &gt;= 1">(AFP): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:low) &lt;= 1">(AFP): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="count(hl7:high) &lt;= 1">(AFP): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.506
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:effectiveTime[hl7:low]/hl7:low
Item: (AFP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.506
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:effectiveTime[hl7:low]/hl7:high
Item: (AFP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.506
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value
Item: (AFP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value"
         id="d42e2353-false-d50034e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(AFP): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.506
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (AFP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]">
      <extends rule="d50072e0-false-d50076e0"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(AFP): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(AFP): Attribute @inversionInd SHALL be of data type 'bl'  - '<value-of select="@inversionInd"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.507
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (CronicitaRAP)
-->
   <rule fpi="RULC-1" id="d50072e0-false-d50076e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="count(hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]) &lt;= 1">(CronicitaRAP): element hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.507
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (CronicitaRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(CronicitaRAP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="string(@moodCode) = ('EVN')">(CronicitaRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="count(hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(CronicitaRAP): element hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="count(hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(CronicitaRAP): element hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="count(hl7:text) &lt;= 1">(CronicitaRAP): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="count(hl7:statusCode) &lt;= 1">(CronicitaRAP): element hl7:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="count(hl7:value[@codeSystem = '2.16.840.1.113883.2.9.77.22.11.10']) &gt;= 1">(CronicitaRAP): element hl7:value[@codeSystem = '2.16.840.1.113883.2.9.77.22.11.10'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="count(hl7:value[@codeSystem = '2.16.840.1.113883.2.9.77.22.11.10']) &lt;= 1">(CronicitaRAP): element hl7:value[@codeSystem = '2.16.840.1.113883.2.9.77.22.11.10'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.507
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (CronicitaRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="string(@code) = ('89261-2')">(CronicitaRAP): The value for code SHALL be '89261-2'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(CronicitaRAP): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(CronicitaRAP): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(CronicitaRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="string(@displayName) = ('Decorso Clinico') or not(@displayName)">(CronicitaRAP): The value for displayName SHALL be 'Decorso Clinico'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(CronicitaRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.507
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (CronicitaRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.507
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:statusCode
Item: (CronicitaRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:statusCode">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="@code">(CronicitaRAP): attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(CronicitaRAP): The value for code SHALL be selected from value set '2.16.840.1.113883.3.1937.777.63.11.10' X_ActStatusActiveSuspendedAbortedCompleted (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.507
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value[@codeSystem = '2.16.840.1.113883.2.9.77.22.11.10']
Item: (CronicitaRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '89261-2' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value[@codeSystem = '2.16.840.1.113883.2.9.77.22.11.10']">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="@code">(CronicitaRAP): attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.41-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(CronicitaRAP): The value for code SHALL be selected from value set '2.16.840.1.113883.3.1937.777.63.11.41' ProblemCronicity_PSSIT (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.2.9.77.22.11.10')">(CronicitaRAP): The value for codeSystem SHALL be '2.16.840.1.113883.2.9.77.22.11.10'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(CronicitaRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.507-2024-03-12T151151.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(CronicitaRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.506
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (AFP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]">
      <extends rule="d50261e0-false-d50265e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="@typeCode">(AFP): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(AFP): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.506-2024-03-12T145049.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(AFP): Attribute @inversionInd SHALL be of data type 'bl'  - '<value-of select="@inversionInd"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.508
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (StatoRAP)
-->
   <rule fpi="RULC-1" id="d50261e0-false-d50265e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="count(hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]) &lt;= 1">(StatoRAP): element hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.508
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (StatoRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(StatoRAP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="string(@moodCode) = ('EVN')">(StatoRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="count(hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(StatoRAP): element hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="count(hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(StatoRAP): element hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="count(hl7:text[hl7:reference]) &lt;= 1">(StatoRAP): element hl7:text[hl7:reference] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="count(hl7:statusCode) &lt;= 1">(StatoRAP): element hl7:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="count(hl7:value) &gt;= 1">(StatoRAP): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="count(hl7:value) &lt;= 1">(StatoRAP): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.508
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (StatoRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="string(@code) = ('33999-4')">(StatoRAP): The value for code SHALL be '33999-4'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(StatoRAP): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(StatoRAP): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(StatoRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="string(@displayName) = ('Stato') or not(@displayName)">(StatoRAP): The value for displayName SHALL be 'Stato'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(StatoRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.508
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]
Item: (StatoRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="count(hl7:reference) &gt;= 1">(StatoRAP): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="count(hl7:reference) &lt;= 1">(StatoRAP): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.508
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]/hl7:reference
Item: (StatoRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]/hl7:reference">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="@value">(StatoRAP): attribute @value SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.508
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:statusCode
Item: (StatoRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:statusCode">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="@code">(StatoRAP): attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(StatoRAP): The value for code SHALL be selected from value set '2.16.840.1.113883.3.1937.777.63.11.10' X_ActStatusActiveSuspendedAbortedCompleted (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.508
Context: *[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value
Item: (StatoRAP)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="@xsi:type">(StatoRAP): attribute @xsi:type SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="not(@xsi:type) or (string-length(@xsi:type) &gt; 0 and not(matches(@xsi:type,'\s')))">(StatoRAP): Attribute @xsi:type SHALL be of data type 'cs'  - '<value-of select="@xsi:type"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="@code">(StatoRAP): attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.55-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(StatoRAP): The value for code SHALL be selected from value set '2.16.840.1.113883.3.1937.777.63.11.55' StatoClinicoProblema_PSSIT (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.2.9.77.22.11.7') or not(@codeSystem)">(StatoRAP): The value for codeSystem SHALL be '2.16.840.1.113883.2.9.77.22.11.7'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(StatoRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.508-2024-03-12T154523.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(StatoRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
</pattern>
