<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.524
Name: Esame Eseguito (RAD)
Description: Comparison With Previous Exams Performed (LOINC: X1-8 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726">
   <title>Esame Eseguito (RAD)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]"
         id="d42e3594-false-d52478e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e3605-false-d52495e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="string(@ID) = ('ESAME_ESEGUITO')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for ID SHALL be 'ESAME_ESEGUITO'. Found: "<value-of select="@ID"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:title) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:text) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:text) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3611-false-d52547e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="string(@code) = ('55111-9')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for code SHALL be '55111-9'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@codeSystemVersion) or string-length(@codeSystemVersion)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystemVersion SHALL be of data type 'st'  - '<value-of select="@codeSystemVersion"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="string(@displayName) = ('Descrizioni attuale procedure di imaging') or not(@displayName)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for displayName SHALL be 'Descrizioni attuale procedure di imaging'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]"
         id="d42e3633-false-d52594e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']"
         id="d42e3636-false-d52610e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="string(@moodCode) = ('EVN')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="string(@classCode) = ('ACT')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:code) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:code) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:text[hl7:reference]) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:text[hl7:reference] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:statusCode) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:statusCode) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:effectiveTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code"
         id="d42e3641-false-d52656e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="@code">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="@codeSystem">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:originalText[hl7:reference]) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:originalText[hl7:reference] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:translation) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:translation appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code/hl7:originalText[hl7:reference]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code/hl7:originalText[hl7:reference]"
         id="d42e3661-false-d52692e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:reference) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:reference) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code/hl7:originalText[hl7:reference]/hl7:reference
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code/hl7:originalText[hl7:reference]/hl7:reference"
         id="d42e3664-false-d52708e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="@value">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code/hl7:translation
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code/hl7:translation"
         id="d42e3668-false-d52719e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="@code">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="@codeSystem">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:text[hl7:reference]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:text[hl7:reference]"
         id="d42e3678-false-d52743e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:reference) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="count(hl7:reference) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:text[hl7:reference]/hl7:reference
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:text[hl7:reference]/hl7:reference"
         id="d42e3681-false-d52759e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="@value">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:statusCode
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:statusCode"
         id="d42e3685-false-d52770e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="@code">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for code SHALL be selected from value set '2.16.840.1.113883.1.11.15933' ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.524
Context: *[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:effectiveTime
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:effectiveTime"
         id="d42e3690-false-d52793e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="@value">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.524-2024-03-14T162726.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @value SHALL be of data type 'ts'  - '<value-of select="@value"/>'</assert>
   </rule>
</pattern>
