<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.525
Name: Referto (RAD)
Description: Study report (LOINC: 47045-0 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310">
   <title>Referto (RAD)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.525
Context: *[hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Referto)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]"
         id="d42e3702-false-d52812e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="count(hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]) &gt;= 1">(Referto): element hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="count(hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]) &lt;= 1">(Referto): element hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.525
Context: *[hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Referto)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e3712-false-d52829e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="string(@ID) = ('REFERTO')">(Referto): The value for ID SHALL be 'REFERTO'. Found: "<value-of select="@ID"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Referto): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Referto): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="count(hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Referto): element hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="count(hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Referto): element hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="count(hl7:title) &lt;= 1">(Referto): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="count(hl7:text) &gt;= 1">(Referto): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="count(hl7:text) &lt;= 1">(Referto): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.525
Context: *[hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Referto)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3718-false-d52873e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="string(@code) = ('18782-3')">(Referto): The value for code SHALL be '18782-3'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Referto): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Referto): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Referto): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="string(@displayName) = ('Rilievo - Radiologia') or not(@displayName)">(Referto): The value for displayName SHALL be 'Rilievo - Radiologia'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.525-2024-03-14T170310.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Referto): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.525
Context: *[hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title
Item: (Referto)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.525
Context: *[hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18782-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (Referto)
-->
</pattern>
