<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.529
Name: Suggerimenti Per Il Medico Prescrittore (RAD)
Description: Tips For The Prescriber (LOINC: X2-6 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552">
   <title>Suggerimenti Per Il Medico Prescrittore (RAD)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.529
Context: *[hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Suggerimenti_Per_Il_Medico_Prescrittore)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.529
Context: *[hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Suggerimenti_Per_Il_Medico_Prescrittore)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e3885-false-d53370e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="string(@ID) = ('SUGGERIMENTI_MEDICO_PRESCRITTORE') or not(@ID)">(Suggerimenti_Per_Il_Medico_Prescrittore): The value for ID SHALL be 'SUGGERIMENTI_MEDICO_PRESCRITTORE'. Found: "<value-of select="@ID"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Suggerimenti_Per_Il_Medico_Prescrittore): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Suggerimenti_Per_Il_Medico_Prescrittore): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="count(hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Suggerimenti_Per_Il_Medico_Prescrittore): element hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="count(hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Suggerimenti_Per_Il_Medico_Prescrittore): element hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="count(hl7:title) &lt;= 1">(Suggerimenti_Per_Il_Medico_Prescrittore): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="count(hl7:text) &gt;= 1">(Suggerimenti_Per_Il_Medico_Prescrittore): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="count(hl7:text) &lt;= 1">(Suggerimenti_Per_Il_Medico_Prescrittore): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.529
Context: *[hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Suggerimenti_Per_Il_Medico_Prescrittore)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3894-false-d53414e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="string(@code) = ('18783-1')">(Suggerimenti_Per_Il_Medico_Prescrittore): The value for code SHALL be '18783-1'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Suggerimenti_Per_Il_Medico_Prescrittore): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Suggerimenti_Per_Il_Medico_Prescrittore): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Suggerimenti_Per_Il_Medico_Prescrittore): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.529-2024-03-14T180552.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Suggerimenti_Per_Il_Medico_Prescrittore): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.529
Context: *[hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title
Item: (Suggerimenti_Per_Il_Medico_Prescrittore)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.529
Context: *[hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '18783-1' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (Suggerimenti_Per_Il_Medico_Prescrittore)
-->
</pattern>
